Bug 88809 - EDITING: Position of OLE text object in Draw different when opened for editing
Summary: EDITING: Position of OLE text object in Draw different when opened for editing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-26 13:51 UTC by Matthew Francis
Modified: 2018-09-19 02:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-01-26 13:51:28 UTC
This is split off bug 51508
(See also bug 88808 regarding the mis-rendering of the content of the text object)

Observed on LO 4.4.0.2 (Ubuntu 14.04, OSX 10.10) and 3.3.0.4 (OSX 10.10)


When an OLE text object in Draw is opened for editing, it is displayed in a different position to its bounds when not editing

Steps to reproduce
1. Open the attached sample file
2. Double click on the OLE text object (in the middle of 4 lines which mark its boundary) to edit it

Expected results
- Either the whole OLE editor or at least its active editing area should be within the lines which mark its display boundary

Actual results
- The OLE editor is offset from its displayed bounds
Comment 1 Buovjaga 2015-01-29 19:29:15 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2016-02-21 08:35:03 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 15:08:01 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2017-09-18 13:02:55 UTC
The position problem still exists in Version: 6.0.0.0.alpha0+
Build ID: 6c68f38bc28bb55a4f0d53b8f38957516d3935d1
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-09-04_22:05:26
Locale: de-DE (de_DE); Calc: group

One problem is, that editing is inplace and that the editing window adds rulers and thereby shifts the content in the frame.
Comment 5 Buovjaga 2017-09-18 15:14:18 UTC
*** Bug 112248 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2018-09-19 02:52:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug